gtkmm: Gtk::DialogError Class Reference

gtkmm 4.13.3

Public Types | Public Member Functions | List of all members
Gtk::DialogError Class Reference

`#include <gtkmm/error.h>`

Inheritance diagram for Gtk::DialogError:
[legend]

## Public Types
enum | Code { FAILED , CANCELLED , DISMISSED }
| Error codes in the `Gtk::DialogError` domain that can be returned by async dialog functions. More...

## Public Member Functions
| DialogError (Code error_code, const Glib::ustring & error_message)
| DialogError (GError * gobject)
Code | code () const
Public Member Functions inherited from Glib::Error
| Error ()
| Error (GQuark error_domain, int error_code, const Glib::ustring &message)
| Error (GError *gobject, bool take_copy=false)
| Error (const Error &other)
Error & | operator= (const Error &other)
| ~Error () noexcept override
| operator bool () const
GQuark | domain () const
int | code () const
const char * | what () const noexcept override
bool | matches (GQuark error_domain, int error_code) const
GError * | gobj ()
const GError * | gobj () const
virtual const char * | what () const noexcept

## Additional Inherited Members
Protected Attributes inherited from Glib::Error
GError * | gobject_

## Member Enumeration Documentation

## ◆ Code

enum Gtk::DialogError::Code

Error codes in the `Gtk::DialogError` domain that can be returned by async dialog functions.

Since gtkmm 4.10:

Enumerator
FAILED | Generic error condition for when an operation fails and no more specific code is applicable.
CANCELLED | The async function call was cancelled via its `Cancellable`.
DISMISSED | The operation was cancelled by the user (via a Cancel or Close button).

## Constructor & Destructor Documentation

## ◆ DialogError() [1/2]

Gtk::DialogError::DialogError | ( | Code | error_code,
|  | const Glib::ustring & | error_message
| ) |  |

## ◆ DialogError() [2/2]

Gtk::DialogError::DialogError | ( | GError * | gobject | ) |
| explicit

## Member Function Documentation

## ◆ code()

Code Gtk::DialogError::code | ( |  | ) | const